Cyberduck Mountain Duck CLI

#10710 reopened enhancement

Preference to suppress additional attribute columns when copying filename

Reported by: zart59 Owned by: dkocher
Priority: low Milestone:
Component: core Version: 6.9.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description

Hi, whenever I copy the path or a file directly from Cyberduck interface, I get extra numbers at the end of the folder/file path. This first happened almost a year back. I am using a Mac OS 10.14.5. Example:

  1. I command+C to copy a file
  2. I paste it in some file editor or terminal and this is what I get:

/mypath/myfile.txt,6057,1558628255000

Change History (8)

comment:1 Changed on May 23, 2019 at 4:33:41 PM by zart59

  • Owner set to zart59
  • Status changed from new to assigned

comment:2 Changed on May 31, 2019 at 3:28:50 PM by dkocher

  • Owner changed from zart59 to dkocher
  • Status changed from assigned to new

comment:3 Changed on May 31, 2019 at 3:31:20 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

This is intended to include the size and timestamp of the selected file. See #10330.

comment:4 Changed on Jun 18, 2019 at 1:55:43 PM by zart59

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Hi, I certainly understand the reasons behind this feature, but isn't there a way to by pass it with a combination of keys? I work all day long on servers and I press the delete button on my terminal countless of times due to this feature. The way would be to download an older version of cyberduck, but I am not comfortable not having the latest updates. What do you think?

comment:5 Changed on Jul 17, 2019 at 3:24:31 PM by dkocher

  • Priority changed from normal to low
  • Summary changed from numbers added to copy of the path to Preference to suppress additional attribute columns when copying filename
  • Type changed from defect to enhancement

comment:6 Changed on Aug 5, 2019 at 2:46:29 PM by dkocher

#10735 closed as duplicate.

comment:7 Changed on Aug 5, 2019 at 6:32:30 PM by moghilemear

My comment on this is in the context of #10735 having been closed, and this issue being converted to a feature-request. (is it a bug or a feature issue)

My argument is that this is a bug and not a feature, and should be addressed as such.

  1. OSX standard, when selecting command-c on a file in finder is to copy the Full-Path to the clipboard
  2. Cyberduck (previous versions), standard was to follow the OSX standard
  3. Cyberduck recent version has changed behavior

While I agree that the "Preferences" option might be a good compromise, there is much stronger evidence that the default behavior should be OSX standard (i.e. full path). The enhanced clipboard data-structure should be a preferences setting change.

comment:8 Changed on Aug 5, 2019 at 6:38:21 PM by moghilemear

My comment on this is in the context of #10735 having been closed, and this issue being converted to a feature-request. (is it a bug or a feature issue)

My argument is that this is a bug and not a feature, and should be addressed as such.

OSX standard, when selecting command-c on a file in finder is to copy the Full-Path to the clipboard Cyberduck (previous versions), standard was to follow the OSX standard Cyberduck recent version has changed behavior

While I agree that the "Preferences" option might be a good compromise, there is much stronger evidence that the default behavior should be OSX standard (i.e. full path). The enhanced clipboard data-structure should be a preferences setting change.

Note: See TracTickets for help on using tickets.